## kde3-style-qtcurve 1.8.5-0ubuntu1~precise4

=== CMakeLists.txt ===
project(QtCurve-KDE3)
cmake_minimum_required(VERSION 2.4.4)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt3/KDE3")
set(DEBIAN_PACKAGE_SECTION "kde")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "8")
set(CPACK_PACKAGE_VERSION_PATCH "5")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

if (QTC_BUILD_CONFIG_MODULE)
    if (NOT QTC_QT_ONLY)
        find_package(KDE3)
        if (NOT KDE3_FOUND)
            set(QTC_QT_ONLY true)
            message("INFO: KDE3 not found! Compiling for Qt only! (Not building the config module)")
        endif (NOT KDE3_FOUND)
    endif (NOT QTC_QT_ONLY)
else (QTC_BUILD_CONFIG_MODULE)
    set(QTC_QT_ONLY true)
endif (QTC_BUILD_CONFIG_MODULE)

if (NOT QTC_QT_ONLY)
    include(KDE3Macros)
else (NOT QTC_QT_ONLY)
    set(QT_MT_REQUIRED TRUE)
    find_package(Qt3 REQUIRED)
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
    include(QtCurveQt3)
    if (QT_PLUGINS_DIR MATCHES NOTFOUND)
        message(SEND_ERROR "ERROR: Failed to detemine Qt3 plugins folder. Please pass -DQT_PLUGINS_DIR=<folder> to cmake")
    endif (QT_PLUGINS_DIR MATCHES NOTFOUND)
endif (NOT QTC_QT_ONLY)

if (NOT QTC_QT_ONLY)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        exec_program(kde-config
                     ARGS --prefix --expandvars
                     OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
endif (NOT QTC_QT_ONLY)

exec_program(kde-config
             ARGS --install locale --expandvars
             OUTPUT_VARIABLE KDE3_LOCALE_PREFIX)

file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

# For KDE4 kde-config has been renamed to kde4-config
find_program(KDE4_KDECONFIG_EXECUTABLE
             NAMES kde4-config
             PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /usr/local/bin /usr/bin /opt/kde4/bin NO_DEFAULT_PATH)

if (NOT KDE4_KDECONFIG_EXECUTABLE)
   find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
endif (NOT KDE4_KDECONFIG_EXECUTABLE)

if(KDE4_KDECONFIG_EXECUTABLE)
    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                 ARGS --prefix
                 OUTPUT_VARIABLE KDE4PREFIX)
endif(KDE4_KDECONFIG_EXECUTABLE)

if(NOT KDE4PREFIX)
    set(KDE4PREFIX ${KDE3PREFIX})
endif(NOT KDE4PREFIX)

configure_file (config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
if (NOT QTC_QT_ONLY)
    add_definitions(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDES})
else (NOT QTC_QT_ONLY)
    add_definitions(${QT_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
endif (NOT QTC_QT_ONLY)

set(DATA_INSTALL_DIR ${KDE3PREFIX}/share/apps)

message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")

if(QTC_DEFAULT_TO_KDE3)
    message("INFO: Defaulting to reading KDE3 settings if KDE_SESSION_VERSION is not set")
else(QTC_DEFAULT_TO_KDE3)
    message("INFO: Defaulting to reading KDE4 settings if KDE_SESSION_VERSION is not set")
endif(QTC_DEFAULT_TO_KDE3)

add_subdirectory(style)
if (NOT QTC_QT_ONLY)
    if (QTC_BUILD_CONFIG_MODULE)
        message("**************************************************************\n"
                "Warning: The KDE3 config module is deprecated, and is no longer\n"
                "         actively maintained. This module NO LONGER COMPILES!\n"
                "         It is recommended to use the KDE4 version instead.\n"
                "**************************************************************\n")
        add_subdirectory(config)
        add_subdirectory(po)
    endif (QTC_BUILD_CONFIG_MODULE)
    add_subdirectory(themes)
    add_subdirectory(colors)
endif (NOT QTC_QT_ONLY)

if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
    message("**************************************************************\n"
            "Warning: You have enabled support for the 'fix parentless dialogs'\n"
            "         option. This is known to BREAK some applications. Please\n"
            "         DO NOT report errors to application authors when you have\n"
            "         this enabled. Please reconsider DISABLING this option.\n"
            "**************************************************************\n")
endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)

=== config/CMakeLists.txt ===
if (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp exportthemedialog.cpp)
else (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp)
endif (QTC_STYLE_SUPPORT)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR})
kde3_add_ui_files(kstyle_qtcurve_config_PART_SRCS qtcurveconfigbase.ui)
kde3_add_kpart(kstyle_qtcurve_config ${kstyle_qtcurve_config_PART_SRCS})
kde3_automoc(${kstyle_qtcurve_config_PART_SRCS})
target_link_libraries(kstyle_qtcurve_config ${QT_AND_KDECORE_LIBS} kio kdeui)
install(TARGETS kstyle_qtcurve_config DESTINATION ${KDE3_LIB_DIR}/kde3)

=== po/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
    message("------\n"
            "NOTE: msgfmt not found. Translations will *not* be installed\n"
            "------\n")
else(NOT GETTEXT_MSGFMT_EXECUTABLE)
    set(catalogname qtcurve)
    add_custom_target(translations ALL)
    file(GLOB PO_FILES *.po)
    foreach(_poFile ${PO_FILES})
        get_filename_component(_poFileName ${_poFile} NAME)
        string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
        string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
        if(_langCode)
            get_filename_component(_lang ${_poFile} NAME_WE)
            set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
            add_custom_command(TARGET translations
                    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                    DEPENDS ${_poFile})
            install(FILES ${_gmoFile} DESTINATION  ${KDE3_LOCALE_PREFIX}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        endif( _langCode )
    endforeach(_poFile ${PO_FILES})
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== style/CMakeLists.txt ===
set(qtcurve_style_common_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
set_source_files_properties(${qtcurve_style_common_SRCS} PROPERTIES LANGUAGE CXX)

if (NOT QTC_QT_ONLY)
    set(qtcurve_std_SRCS qtcurve.cpp shortcuthandler.cpp pixmaps.h)
    set(qtcurve_SRCS ${qtcurve_std_SRCS} ${qtcurve_style_common_SRCS})
    add_definitions(-DQT_PLUGIN)
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
    link_directories(${KDE3_LIB_DIR})
    kde3_automoc(${qtcurve_std_SRCS})
    add_library(qtcurve MODULE ${qtcurve_SRCS})
    set_target_properties(qtcurve PROPERTIES PREFIX "")
    target_link_libraries(qtcurve ${QT_LIBRARIES} kdefx)
    install(TARGETS qtcurve LIBRARY DESTINATION ${KDE3_LIB_DIR}/kde3/plugins/styles)
    install(FILES qtcurve.themerc DESTINATION ${KDE3PREFIX}/share/apps/kstyle/themes)
else (NOT QTC_QT_ONLY)
    set(qtcurve_MOC_CLASSES qtcurve.h shortcuthandler.h qtc_kstyle.h)
    QTCURVE_QT_WRAP_CPP(qtcurve_MOC_SRCS ${qtcurve_MOC_CLASSES})
    set(qtcurve_SRCS qtcurve.cpp shortcuthandler.cpp qtc_kstyle.cpp pixmaps.h ${qtcurve_style_common_SRCS})
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}  ${CMAKE_SOURCE_DIR}/common)
    add_library(qtcurve MODULE ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
    set_target_properties(qtcurve PROPERTIES PREFIX "")
    target_link_libraries(qtcurve ${QT_LIBRARIES})
    install(TARGETS qtcurve LIBRARY DESTINATION ${QT_PLUGINS_DIR}/styles)
endif (NOT QTC_QT_ONLY)

=== debian/changelog ===
kde3-style-qtcurve (1.8.5-0ubuntu1~precise4) precise; urgency=low

  * Precise version

 -- falkTX <falktx@gmail.com>  Tue, 20 Dec 2011 12:36:07 +0000

kde3-style-qtcurve (1.8.5-0ubuntu1~oneiric2) oneiric; urgency=low

  * Drop kde3 stuff for oneiric, build qt3 theme only

 -- falkTX <falktx@gmail.com>  Sat, 27 Aug 2011 21:23:21 +0100

kde3-style-qtcurve (1.8.5-0ubuntu1~oneiric1) oneiric; urgency=low

  * Oneiric build

 -- falkTX <falktx@gmail.com>  Fri, 26 Aug 2011 12:28:08 +0100

kde3-style-qtcurve (1.8.5-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 09 May 2011 18:55:50 +0100

kde3-style-qtcurve (1.8.4-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Sat, 05 Mar 2011 20:35:30 +0000

kde3-style-qtcurve (1.8.3-0ubuntu1~lucid5) lucid; urgency=low

  * New upstream release, Trinity compatible

 -- falkTX <falktx@gmail.com>  Tue, 04 Jan 2011 02:41:39 +0000

kde3-style-qtcurve (1.6.2-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Sun, 17 Oct 2010 14:31:52 +0100

kde3-style-qtcurve (1.5.0-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Wed, 30 Jun 2010 16:51:00 +0100

kde3-style-qtcurve (1.4.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Wed, 19 May 2010 11:31:04 +0100

kde3-style-qtcurve (1.3.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 19 Apr 2010 18:57:22 +0100

kde3-style-qtcurve (1.1.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 16 Mar 2010 23:16:04 +0000

kde3-style-qtcurve (1.0.0-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 26 Jan 2010 14:32:38 +0000

kde3-style-qtcurve (0.69.1-0ubuntu0+ppa1) lucid; urgency=low

  * Initial release
  * (QtCurve for KDE3!!)

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 15:02:17 +0000

=== debian/control ===
Source: kde3-style-qtcurve
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.4), quilt (>= 0.46-7), cmake, pkg-kde-tools (>= 0.5),
 libqt3-mt-dev, libx11-dev
Standards-Version: 3.8.3
Homepage: http://www.kde-look.org/content/show.php?content=40492

Package: kde3-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-style-qtcurve, gtk2-engines-qtcurve
Description: Unified widget styles for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve widget style for KDE 3.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

%:
	dh --with quilt,kde $@

get-orig-source:
	uscan --verbose --force-download --no-symlink
	bunzip2 -c ../QtCurve-KDE4-$(UPSTREAM_VERSION).tar.bz2 | gzip -9c > ../kde-style-qtcurve_$(UPSTREAM_VERSION).orig.tar.gz

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=1 http://home.freeuk.com/cpdrummond/QtCurve-KDE4-([0-9.]*).tar.bz2
